> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pilotstatus.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar templates

> Retorna todos os templates registrados para a instância. O nome de exibição da instância é obtido a partir do caminho.



## OpenAPI

````yaml openapi.evolution-v2.pt.json GET /template/find/{instance}
openapi: 3.1.0
info:
  title: Evolution V2 Layer
  version: 1.0.0
  description: >-
    Camada de API do Pilot Status — Evolution V2. Base URL
    `https://pilotstatus.com.br/api/layer/evolution-v2`. Autentique com o header
    `apikey` (sua chave `ps_` do Pilot Status). Endpoints de instância/sessão
    NÃO estão disponíveis na camada.
servers:
  - url: https://pilotstatus.com.br/api/layer/evolution-v2
security:
  - apiKey: []
tags:
  - name: Chamada e Business
  - name: Chat
  - name: Grupo
  - name: Etiqueta (Label)
  - name: Mensagem
  - name: Perfil
  - name: Configurações e Proxy
  - name: Armazenamento (S3)
  - name: Template
paths:
  /template/find/{instance}:
    get:
      tags:
        - Template
      summary: Listar templates
      description: >-
        Retorna todos os templates registrados para a instância. O nome de
        exibição da instância é obtido a partir do caminho.
      operationId: get__template_find_instance
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
          description: O nome de exibição do número no painel do Pilot Status.
      responses:
        '200':
          description: Sucesso — corpo de resposta nativo do provedor.
          content:
            application/json:
              schema:
                type: array
                description: >-
                  List of message templates for the instance's WhatsApp Business
                  Account, as returned by the WhatsApp Business (Meta) API (the
                  `data` array of the message_templates response).
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Meta message template id.
                    name:
                      type: string
                      description: Template name.
                    language:
                      type: string
                      description: Template language/locale code (e.g. pt_BR, en_US).
                    status:
                      type: string
                      description: Review status (APPROVED, PENDING, REJECTED, etc.).
                    category:
                      type: string
                      description: Template category (AUTHENTICATION, MARKETING, UTILITY).
                    parameter_format:
                      type: string
                      description: Parameter placeholder format (POSITIONAL or NAMED).
                    components:
                      type: array
                      description: >-
                        Ordered list of template components (HEADER, BODY,
                        FOOTER, BUTTONS).
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            description: Component type (HEADER, BODY, FOOTER, BUTTONS).
                          format:
                            type: string
                            description: >-
                              Header format when type is HEADER (TEXT, IMAGE,
                              VIDEO, DOCUMENT).
                          text:
                            type: string
                            description: Text content of the component.
                          example:
                            type: object
                            description: Example values used for template approval.
                            properties:
                              header_text:
                                type: array
                                items:
                                  type: string
                              body_text:
                                type: array
                                items:
                                  type: array
                                  items:
                                    type: string
                          buttons:
                            type: array
                            description: Buttons when type is BUTTONS.
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  description: >-
                                    Button type (QUICK_REPLY, URL,
                                    PHONE_NUMBER).
                                text:
                                  type: string
                                  description: Button label.
                                url:
                                  type: string
                                  description: URL for URL buttons.
                                phone_number:
                                  type: string
                                  description: Phone number for PHONE_NUMBER buttons.
                        required:
                          - type
                  required:
                    - id
                    - name
                    - language
                    - status
                    - category
              example:
                - id: '1234567890123456'
                  name: order_confirmation
                  language: pt_BR
                  status: APPROVED
                  category: UTILITY
                  parameter_format: POSITIONAL
                  components:
                    - type: HEADER
                      format: TEXT
                      text: Pedido {{1}}
                      example:
                        header_text:
                          - '#10245'
                    - type: BODY
                      text: >-
                        Olá {{1}}, seu pedido {{2}} foi confirmado e será
                        enviado em breve.
                      example:
                        body_text:
                          - - Maria
                            - '#10245'
                    - type: FOOTER
                      text: Pilot Status
                    - type: BUTTONS
                      buttons:
                        - type: URL
                          text: Acompanhar pedido
                          url: https://example.com/orders/{{1}}
                        - type: QUICK_REPLY
                          text: Falar com atendente
                - id: '9876543210987654'
                  name: verification_code
                  language: en_US
                  status: APPROVED
                  category: AUTHENTICATION
                  parameter_format: POSITIONAL
                  components:
                    - type: BODY
                      text: '{{1}} is your verification code.'
                      example:
                        body_text:
                          - - '123456'
                    - type: BUTTONS
                      buttons:
                        - type: URL
                          text: Copy code
                          url: https://example.com/otp/{{1}}
        default:
          description: Erro — erro do provedor ou da camada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                  error:
                    type: string
                  message:
                    type: string
                  response:
                    type: object
              example:
                status: 400
                error: Bad Request
                message: Invalid payload
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Your Pilot Status API key (ps_...). Evolution GO also accepts
        `Authorization: Bearer <key>`.

````